classification
Title: idlelib/NEWS.txt for 3.8.0 (and backports)
Type: enhancement Stage: needs patch
Components: IDLE Versions: Python 3.8, Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2018-07-20 05:33 by terry.reedy, last changed 2018-12-11 21:08 by terry.reedy.

Pull Requests
URL Status Linked Edit
PR 8345 merged terry.reedy, 2018-07-20 05:54
PR 8347 merged terry.reedy, 2018-07-20 06:16
PR 8348 merged terry.reedy, 2018-07-20 06:16
PR 9549 merged terry.reedy, 2018-09-24 22:58
PR 9550 merged terry.reedy, 2018-09-24 23:28
PR 9551 merged terry.reedy, 2018-09-24 23:45
PR 9552 merged miss-islington, 2018-09-25 00:11
PR 9553 merged miss-islington, 2018-09-25 00:12
PR 9573 merged terry.reedy, 2018-09-25 16:29
PR 9574 merged miss-islington, 2018-09-25 17:41
PR 9575 merged miss-islington, 2018-09-25 17:41
PR 10964 merged terry.reedy, 2018-12-05 22:54
PR 10979 merged terry.reedy, 2018-12-06 05:52
PR 10980 merged terry.reedy, 2018-12-06 05:53
Messages (17)
msg321983 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-20 06:14
New changeset 2c5c0a367c6ca648178072240fe0a32848636da6 by Terry Jan Reedy in branch 'master':
bpo-34162: idlelib/NEWS.txt entries to 2018-7-20 (GH-8345)
https://github.com/python/cpython/commit/2c5c0a367c6ca648178072240fe0a32848636da6
msg321985 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-20 06:48
New changeset 97c079c19a83881c88b56b95c545207f9ab51f6e by Terry Jan Reedy in branch '3.7':
bpo-34162: idlelib/NEWS.txt entries to 2018-7-20 (GH-8345) (GH-8347)
https://github.com/python/cpython/commit/97c079c19a83881c88b56b95c545207f9ab51f6e
msg321986 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-20 06:49
New changeset 917696242b2d1c7cf4cba660fa6a29c30667e6da by Terry Jan Reedy in branch '3.6':
[3.6] bpo-34162: idlelib/NEWS.txt entries to 2018-7-20 (GH-8345) (GH-8348)
https://github.com/python/cpython/commit/917696242b2d1c7cf4cba660fa6a29c30667e6da
msg321987 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-07-20 06:51
Follow-up to #30928.  First patch has to be backported by hand to adjust headers for each version.  After that, 2 blanks after uniform length separator allows auto backports, except for further version-specific header changes or code patches.
msg326297 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-24 23:15
New changeset 5a606674edbf4a94370ee55b0906dd9bec83abb0 by Terry Jan Reedy in branch 'master':
bpo-34162: Add entry for idlelib/NEWS.txt already included for 3.6/3.7 (GH-9549)
https://github.com/python/cpython/commit/5a606674edbf4a94370ee55b0906dd9bec83abb0
msg326298 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-24 23:43
New changeset 65fa1264a308a94e24afa76f41a68708a346738f by Terry Jan Reedy in branch '2.7':
[2.7] bpo-34162: Update 2.7 idlelib/NEWS.txt to 2018-9-24 (GH-9550)
https://github.com/python/cpython/commit/65fa1264a308a94e24afa76f41a68708a346738f
msg326301 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-25 00:11
New changeset 16fba6231458cc1ff82db8695ee772b74131cc83 by Terry Jan Reedy in branch 'master':
bpo-34162: Update idlelib/NEWS.txt to 2018-9-24. (GH-9551)
https://github.com/python/cpython/commit/16fba6231458cc1ff82db8695ee772b74131cc83
msg326303 - (view) Author: miss-islington (miss-islington) Date: 2018-09-25 00:23
New changeset 65cc60b3687d33bfeda60b29a49a0708d4932b7b by Miss Islington (bot) in branch '3.7':
bpo-34162: Update idlelib/NEWS.txt to 2018-9-24. (GH-9551)
https://github.com/python/cpython/commit/65cc60b3687d33bfeda60b29a49a0708d4932b7b
msg326304 - (view) Author: miss-islington (miss-islington) Date: 2018-09-25 00:35
New changeset 1ab9dfcfbe99d576b41209ca8ddbcacb682e4495 by Miss Islington (bot) in branch '3.6':
bpo-34162: Update idlelib/NEWS.txt to 2018-9-24. (GH-9551)
https://github.com/python/cpython/commit/1ab9dfcfbe99d576b41209ca8ddbcacb682e4495
msg326305 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-25 00:36
The cutoff for PRs going into 3.7.0 was the rc1 on about 2018 May 15.  The first 3 PRs are for merges after that cutoff but before the 3.6.6/3.7.0 release.  PR9549 adds an entry to master that was somehow omitted even though included in the backports to 3.7 and 3.6.

PR9550 updates 2.7 (rarely needed).  The next update to now.  If I merge anything else for 3.6.7/3.7.1, I might include NEWS in the PR.
msg326380 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-25 17:41
New changeset 22ef31d0b4b497eda5e356528c3e1d29584d6757 by Terry Jan Reedy in branch 'master':
bpo-34162: idlelib/NEWS.txt entry for squeezer (GH-9573)
https://github.com/python/cpython/commit/22ef31d0b4b497eda5e356528c3e1d29584d6757
msg326381 - (view) Author: miss-islington (miss-islington) Date: 2018-09-25 18:02
New changeset b2ae5502981ae7e8fc080f5155060235696afe22 by Miss Islington (bot) in branch '3.7':
bpo-34162: idlelib/NEWS.txt entry for squeezer (GH-9573)
https://github.com/python/cpython/commit/b2ae5502981ae7e8fc080f5155060235696afe22
msg326383 - (view) Author: miss-islington (miss-islington) Date: 2018-09-25 18:06
New changeset dc335ae77dfc1fb6a500eb1cd0baf23fcda45434 by Miss Islington (bot) in branch '3.6':
bpo-34162: idlelib/NEWS.txt entry for squeezer (GH-9573)
https://github.com/python/cpython/commit/dc335ae77dfc1fb6a500eb1cd0baf23fcda45434
msg331187 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-05 22:40
Release peps -- needed for proposed and actual release dates.
3.6 PEP 494
3.7 PEP 537
3.8 PEP 569
msg331206 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-06 05:46
New changeset 6ea9d54dea9f2f8be7fe6d284064c579331388a9 by Terry Jan Reedy in branch 'master':
bpo-34162: Update idlelib NEWS to 2018-12-05. (GH-10964)
https://github.com/python/cpython/commit/6ea9d54dea9f2f8be7fe6d284064c579331388a9
msg331211 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-06 08:25
New changeset de8037db8c203ca0a1bf549f690230d5e7b8429e by Terry Jan Reedy in branch '3.7':
[3.7] bpo-34162: Update idlelib NEWS to 2018-12-05 (GH-10964) (GH-10980)
https://github.com/python/cpython/commit/de8037db8c203ca0a1bf549f690230d5e7b8429e
msg331212 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-06 08:25
New changeset af1f977575331623547d53247d99be8953a13b9f by Terry Jan Reedy in branch '3.6':
[3.6] bpo-34162: Update idlelib NEWS to 2018-12-05 (GH-10964) (GH-10979)
https://github.com/python/cpython/commit/af1f977575331623547d53247d99be8953a13b9f
History
Date User Action Args
2018-12-11 21:08:07terry.reedysetstage: patch review -> needs patch
versions: - Python 3.6
2018-12-06 08:25:59terry.reedysetmessages: + msg331212
2018-12-06 08:25:42terry.reedysetmessages: + msg331211
2018-12-06 05:53:24terry.reedysetpull_requests: + pull_request10221
2018-12-06 05:52:42terry.reedysetpull_requests: + pull_request10220
2018-12-06 05:46:25terry.reedysetmessages: + msg331206
2018-12-05 22:54:18terry.reedysetpull_requests: + pull_request10206
2018-12-05 22:40:46terry.reedysetmessages: - msg331186
2018-12-05 22:40:10terry.reedysetmessages: + msg331187
2018-12-05 22:38:30terry.reedysetmessages: + msg331186
2018-09-25 18:06:59miss-islingtonsetmessages: + msg326383
2018-09-25 18:02:10miss-islingtonsetmessages: + msg326381
2018-09-25 17:41:49miss-islingtonsetpull_requests: + pull_request8977
2018-09-25 17:41:46miss-islingtonsetpull_requests: + pull_request8976
2018-09-25 17:41:32terry.reedysetmessages: + msg326380
2018-09-25 16:29:00terry.reedysetstage: needs patch -> patch review
pull_requests: + pull_request8975
2018-09-25 00:36:21terry.reedysetmessages: + msg326305
stage: patch review -> needs patch
2018-09-25 00:35:29miss-islingtonsetmessages: + msg326304
2018-09-25 00:23:14miss-islingtonsetnosy: + miss-islington
messages: + msg326303
2018-09-25 00:12:03miss-islingtonsetpull_requests: + pull_request8956
2018-09-25 00:11:56miss-islingtonsetpull_requests: + pull_request8955
2018-09-25 00:11:49terry.reedysetmessages: + msg326301
2018-09-24 23:45:09terry.reedysetpull_requests: + pull_request8954
2018-09-24 23:43:57terry.reedysetmessages: + msg326298
2018-09-24 23:28:19terry.reedysetpull_requests: + pull_request8953
2018-09-24 23:15:44terry.reedysetmessages: + msg326297
2018-09-24 22:58:50terry.reedysetstage: needs patch -> patch review
pull_requests: + pull_request8952
2018-07-20 07:05:46terry.reedylinkissue30928 superseder
2018-07-20 06:51:02terry.reedysetmessages: + msg321987
stage: patch review -> needs patch
2018-07-20 06:49:17terry.reedysetmessages: + msg321986
2018-07-20 06:48:21terry.reedysetmessages: + msg321985
2018-07-20 06:16:39terry.reedysetpull_requests: + pull_request7883
2018-07-20 06:16:12terry.reedysetpull_requests: + pull_request7882
2018-07-20 06:14:59terry.reedysetmessages: + msg321983
2018-07-20 05:54:22terry.reedysetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request7880
2018-07-20 05:33:12terry.reedycreate